import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MTRDataTypeTestGlobalStruct } from "./MTRDataTypeTestGlobalStruct.js";
export declare class _MTRUnitTestingClusterGlobalEchoResponseParams extends _NSObject {
    static alloc(): _MTRUnitTestingClusterGlobalEchoResponseParams;
    static new(): _MTRUnitTestingClusterGlobalEchoResponseParams;
    init(): _MTRUnitTestingClusterGlobalEchoResponseParams;
    field1(): _MTRDataTypeTestGlobalStruct;
    setField1$(value: _MTRDataTypeTestGlobalStruct): void;
    field2(): _NSNumber;
    setField2$(value: _NSNumber): void;
}
export interface _MTRUnitTestingClusterGlobalEchoResponseParams extends _NSCopying {
}
